Commits

Anonymous committed f8cd167

Added deprecated call for load to maintain 2.7 compatibility. Fixes WF-416

Comments (0)

Files changed (1)

src/java/com/opensymphony/workflow/loader/WorkflowLoader.java

 public class WorkflowLoader {
     //~ Methods ////////////////////////////////////////////////////////////////
 
+    /**
+     * @deprecated please use {@link #load(java.io.InputStream, boolean)} instead.
+     */
+    public static WorkflowDescriptor load(final InputStream is) throws SAXException, IOException, InvalidWorkflowDescriptorException {
+        return load(is, null, true);
+    }
+
     public static WorkflowDescriptor load(final InputStream is, boolean validate) throws SAXException, IOException, InvalidWorkflowDescriptorException {
         return load(is, null, validate);
     }